# Geotherm

[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://MineralsCloud.github.io/Geotherm.jl/stable)
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://MineralsCloud.github.io/Geotherm.jl/dev)
[![Build Status](https://github.com/MineralsCloud/Geotherm.jl/workflows/CI/badge.svg)](https://github.com/MineralsCloud/Geotherm.jl/actions)
[![Build Status](https://ci.appveyor.com/api/projects/status/github/MineralsCloud/Geotherm.jl?svg=true)](https://ci.appveyor.com/project/singularitti/Geotherm-jl)
[![Build Status](https://cloud.drone.io/api/badges/MineralsCloud/Geotherm.jl/status.svg)](https://cloud.drone.io/MineralsCloud/Geotherm.jl)
[![Build Status](https://api.cirrus-ci.com/github/MineralsCloud/Geotherm.jl.svg)](https://cirrus-ci.com/github/MineralsCloud/Geotherm.jl)
[![pipeline status](https://gitlab.com/singularitti/geotherm.jl/badges/master/pipeline.svg)](https://gitlab.com/singularitti/geotherm.jl/-/pipelines)
[![coverage report](https://gitlab.com/singularitti/geotherm.jl/badges/master/coverage.svg)](https://gitlab.com/singularitti/geotherm.jl/-/jobs)
[![Coverage](https://codecov.io/gh/MineralsCloud/Geotherm.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/MineralsCloud/Geotherm.jl)
[![Open in Visual Studio Code](https://open.vscode.dev/badges/open-in-vscode.svg)](https://open.vscode.dev/organization/repository)

The code is
[hosted on GitHub](https://github.com/MineralsCloud/Geotherm.jl), with
some continuous integration services to test its validity.
For corresponding paper, please have a look at Ref. 1.

This repository is created and maintained by
[@singularitti](https://github.com/singularitti). You are very welcome to
contribute.

## Compatibility

- [Julia version: `v1.0.0` to `v1.6.2`](https://julialang.org/downloads/)
- Dependencies:
  - [`BisectPy.jl`](https://github.com/singularitti/BisectPy.jl) `v1.0.0` and above
  - [`DimensionalData.jl`](https://github.com/rafaqz/DimensionalData.jl) `v0.4.0` and
    above
- OS: macOS, Linux, Windows, and FreeBSD
- Architecture: x86, x64, ARM

## References

1. [Cardona, J. J. V. *et al.* Influence of the iron spin crossover in ferropericlase on the lower mantle geotherm. *Geophysical Research Letters* **44,** 4863–4871 (2017).](https://agupubs.onlinelibrary.wiley.com/doi/full/10.1002/2017GL073294)
