```@meta
CurrentModule = Geotherm
```

# Geotherm

Documentation for [Geotherm](https://github.com/MineralsCloud/Geotherm.jl).

The code is
[hosted on GitHub](https://github.com/MineralsCloud/Geotherm.jl), with
some continuous integration services to test its validity.
For corresponding paper, please have a look at Ref. 1.

This repository is created and maintained by
[@singularitti](https://github.com/singularitti). You are very welcome to
contribute.

## Compatibility

- [Julia version: `v1.0.0` to `v1.6.2`](https://julialang.org/downloads/)
- Dependencies:
  - [`BisectPy.jl`](https://github.com/singularitti/BisectPy.jl) `v1.0.0` and above
  - [`DimensionalData.jl`](https://github.com/rafaqz/DimensionalData.jl) `v0.4.0` and
    above
- OS: macOS, Linux, Windows, and FreeBSD
- Architecture: x86, x64, ARM

## Manual Outline

```@contents
Pages = [
    "install.md",
    "develop.md",
    "api.md",
]
Depth = 3
```

### [Index](@id main-index)

```@index
```
